/* Musik */
.musik,
.musik-lainnya {
    display: flex;
    flex-direction: column;
    gap: 15px;
}
.musik .card-musik,
.musik-lainnya .card-musik {
    text-decoration: none;
    background-color: var(--card-color);
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 10px;
    cursor: pointer;
}
.musik .card-musik:hover,
.musik-lainnya .card-musik:hover {
    background-color: var(--card-hover);
    transition: var(--tran-03);
}
.music-title {
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.musik .card-musik .play-btn .bx.bx-pause,
.musik .card-musik .musik-title i,
.musik-lainnya .card-musik .play-btn .bx.bx-pause,
.musik-lainnya .card-musik .musik-title i {
    display: none;
}
.musik .card-musik.active .play-btn .bx.bx-play,
.musik-lainnya .card-musik.active .play-btn .bx.bx-play {
    display: none;
}
.musik .card-musik.active .play-btn .bx.bx-pause,
.musik .card-musik.active .musik-title i,
.musik-lainnya .card-musik.active .play-btn .bx.bx-pause,
.musik-lainnya .card-musik.active .musik-title i {
    display: block;
}

.musik .gambar,
.musik-lainnya .gambar {
    width: 120px;
    height: 100px;
    overflow: hidden;
    aspect-ratio: 1/1;
}
.musik .gambar img,
.musik-lainnya .gambar img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 5px 0px 0px 5px;
}
@media (max-width: 768px) {
  .musik .gambar,
  .musik-lainnya .gambar {
        width: 60px;
        height: 60px;
  }
}

.actions .search-music-box {
    display: flex;
    align-items: center;
    background-color: transparent;
    border: 1px solid var(--text-color);
    border-radius: 50px;
    padding: 5px 10px;
    gap: 4px;
}
.actions .search-music-box i {
    color: var(--text-color);
    margin-top: 1px;
}
.actions .search-music-box:focus-within {
    border-color: var(--primary-color);
    transition: var(--tran-03);
}
.actions .search-music-box:focus-within i {
    color: var(--text-color-primary);
    transition: var(--tran-03);
}
.actions .search-music-box input {
    width: clamp(100px, 35vw, 200px);
    background-color: transparent;
    border: none;
    color: var(--text-color-light);
    margin-left: 10px;
}
.actions .search-music-box input:focus {
    border: none;
    outline: none;
}

@media (max-width: 768px) {
  .actions .search-music-box i,
  .actions .search-music-box input {
        font-size: clamp(10px, 3.5vw, 15px);
  }
  .actions .search-music-box input {
        margin-left: 5px;
  }
}
/* Musik End */
